[API Reference](../README.md) > [VotableUpgradeSchemeProposal](../interfaces/VotableUpgradeSchemeProposal.md)

# Interface: VotableUpgradeSchemeProposal

## Hierarchy

**VotableUpgradeSchemeProposal**

## Index

### Properties

* [paramsUpgradingScheme](VotableUpgradeSchemeProposal.md#paramsUpgradingScheme)
* [proposalId](VotableUpgradeSchemeProposal.md#proposalId)
* [proposalType](VotableUpgradeSchemeProposal.md#proposalType)
* [upgradeContractAddress](VotableUpgradeSchemeProposal.md#upgradeContractAddress)

---

## Properties

<a id="paramsUpgradingScheme"></a>

###  paramsUpgradingScheme

**● paramsUpgradingScheme**: *[Hash](../#Hash)*

*Defined in [wrappers/upgradeScheme.ts:297](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/upgradeScheme.ts#L297)*

___
<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Defined in [wrappers/upgradeScheme.ts:299](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/upgradeScheme.ts#L299)*

___
<a id="proposalType"></a>

###  proposalType

**● proposalType**: *[UpgradeSchemeProposalType](../enums/UpgradeSchemeProposalType.md)*

*Defined in [wrappers/upgradeScheme.ts:298](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/upgradeScheme.ts#L298)*

___
<a id="upgradeContractAddress"></a>

###  upgradeContractAddress

**● upgradeContractAddress**: *[Address](../#Address)*

*Defined in [wrappers/upgradeScheme.ts:296](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/upgradeScheme.ts#L296)*

Either a controller or an upgrade scheme.

___

